[Frugalware-darcs] emul32-tools: emul32: initial import
VMiklos
vmiklos at frugalware.org
Thu Nov 23 01:06:23 CET 2006
Darcsweb-Url: http://darcs.frugalware.org/darcsweb/darcsweb.cgi?r=emul32-tools;a=darcs_commitdiff;h=20061123000547-e2957-cfa5f858e51c687bd500287e7e27a012488628de.gz;
[emul32: initial import
VMiklos <vmiklos at frugalware.org>**20061123000547] {
addfile ./emul32
hunk ./emul32 1
+#!/bin/bash
+#
+# emul32
+#
+# Copyright (c) 2006 by Miklos Vajna <vmiklos at frugalware.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
+# USA.
+#
+
+if [ ! "`type -p linux32`" ]; then
+ echo "Cannot find the linux32 binary! Is linux32 installed?"
+ exit 1
+fi
+
+echo "if [ ! -d /home/$USER ]; then mkdir /home/$USER; chown $USER:users /home/$USER; fi; \
+/bin/su - $USER -c \"$@\"" |sudo linux32 /usr/sbin/chroot /usr/lib/chroot32/
}
More information about the Frugalware-darcs
mailing list